/*
 * C program to read N integers into an array A and
 * a) Find the sum of negative numbers
 * b) Find the sum of positive numbers
 * c) Find the average of all numbers
 * Display the results with suitable headings
 */
#define MAXSIZE 
 
void main( ) {
    int array[MAXSIZE];
    int i;
    int num;
    int negative_sum;
    int positive_sum;
    
    negative_sum = 0;
    positive_sum = 0;

    /*  Summation starts */
    for (i = 0; i < MAXSIZE; i++)
    {
        if (array[i] < 0)
        {
            negative_sum = negative_sum + array[i];
        }
        else if (array[i] > 0)
        {
            positive_sum = positive_sum + array[i];
        }
        else if (array[i] == 0)
        {
            ;
        }
    }
    assert( negative_sum <= 0 );
    assert( positive_sum >= 0 );
    assert( forall (int x) :: (0 <= x && x < MAXSIZE) ==> ( array[x] <= positive_sum ) );
    assert( forall (int x) :: (0 <= x && x < MAXSIZE) ==> ( array[x] >= negative_sum ) );
}
