/*
 * C program to cyclically permute the elements of an array A.
 * i.e. the content of A1 become that of A2. And A2 contains
 * that of A3 & so on as An contains A1
 */
 
void main ()
{
    int i;
    int n;
    int number[n];
    int old_number[n];
    number = old_number; // this instruction copies the content, not the reference!
    
    int last = number[ 0 ];
    for (i = 0; i < n-1; i++)
    {
        number[i] = number[i + 1];
    } 
    number[ n-1 ] = last; 
    
    assert( forall (int x) :: (0 < x && x < n-1) ==> ( number[x] == old_number[x+1] ) );
}
