/* 
 * C Program to identify missing numbers in a given array
 */
#define SIZE
#define MAX_N

void main()
{
    int array[ SIZE ];
    int missing[ SIZE ];
    int n;
    int i;
    int j = 0;
    bool found = false;
    
    // check all the numbers between 1 and MAX_N
    for ( n = 0 ; n < MAX_N ; n++ ) {
      for ( i = 0 ; i < SIZE && !found ; i++ ) {
        if ( array[i] == n ) {
          found = true;
        }
      }
      if ( !found ) {
        missing[ j ] = n;
        j = j + 1;
      }
    }

    assert( forall ( int x, int y ) :: ( 0 <= x && x < j && 0 <= y && y < SIZE ) ==> ( array[ y ] != missing[ x ] ) );
}
